#ifndef MONOSCOPE_H
#define MONOSCOPE_H

#include <noatun/plugin.h>

class TDEToggleAction;

class Monoscope : public TQWidget,  public MonoScope, public Plugin
{
Q_OBJECT
  
NOATUNPLUGIND

public:
	Monoscope();
	virtual ~Monoscope();

	void init();

public slots:
	void toggle(void);

protected:
	virtual void closeEvent(TQCloseEvent *);
	virtual void scopeEvent(float *data, int bands);

	virtual void resizeEvent(TQResizeEvent *);

private:
	TQRgb mHighColor, mLowColor;
	TDEToggleAction *mAction;
};

#endif

